# Generated by Django 3.2.16 on 2022-11-15 18:19

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("ideal", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="AppOrigin",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "origin_name",
                    models.CharField(max_length=20, null=True, unique=True),
                ),
                ("active", models.BooleanField(default=False)),
            ],
        ),
        migrations.AddField(
            model_name="transaction",
            name="amount",
            field=models.DecimalField(decimal_places=2, default=0, max_digits=10),
        ),
        migrations.AddField(
            model_name="transaction",
            name="currency",
            field=models.CharField(
                choices=[("EUR", "Euro"), ("USD", "US dollar")],
                default="EUR",
                max_length=3,
            ),
        ),
        migrations.AddField(
            model_name="transaction",
            name="description",
            field=models.TextField(max_length=200, null=True),
        ),
        migrations.AddField(
            model_name="transaction",
            name="mollie_transaction_id",
            field=models.IntegerField(default=0, unique=True),
        ),
        migrations.AddField(
            model_name="transaction",
            name="payment_status",
            field=models.CharField(
                choices=[
                    ("PAID", "Paid"),
                    ("PENDING", "Pending"),
                    ("OPEN", "Open"),
                    ("CANCELLED", "Cancelled"),
                    ("EXPIRED", "Expired"),
                ],
                default="OPEN",
                max_length=10,
            ),
        ),
        migrations.AddField(
            model_name="transaction",
            name="origin",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                to="ideal.apporigin",
            ),
        ),
    ]
